SETTERM(1)

NAZWA
setterm - ustawia atrybuty terminala

SKŁADNIA

setterm [opcje]

OPIS

setterm wypisuje na standardowe wyjście łańcuch znaków, który wykonuje podane właściwości terminala. Tam, gdzie możliwe, do znalezienia łańcucha używa się terminfo. Część opcji (zaznaczona poniżej jako "tylko konsole wirtualne") nie odpowiada właściwościom terminfo(5). W tych przypadkach, jeśli typ terminala to "con" lub "linux", wypisywany jest łańcuch, który wywołuje pożądane właściwości dla konsoli wirtualnej PC Minix. Opcje niezaimplementowane przez terminal są ignorowane.

OPCJE

Dla opcji logicznych (on lub off) domyślną wartością jest on (włączone).

Poniżej, kolor-8 może być: to black (czarny), red (czerwony), green (zielony), yellow (żółty), blue (niebieski), magenta (purpurowy), cyan (niebieskozielony) lub white (biały).

kolor-16 może być to: kolor-8 lub grey (szary) lub bright (jasno-), po którym następuje red (czerwony), green (zielony), yellow (żółty), blue (niebieski), magenta (purpurowy), cyan (niebieskozielony) lub white (biały).

Różne opcje związane z kolorami mogą być ustawione niezależnie, przynajmniej na konsolach wirtualnych, chociaż wynik ustawienia wielu trybów (na przykład --underline i --half-bright) zależy od sprzętu.

W przypadku argumentów opcjonalnych zaleca się korzystanie z "=" (znaku równości) zamiast oddzielać opcję od argumentu spacją. Przykład: --opcja=argument. setterm może bowiem zinterpretować następny argument niebędący opcją również jako opcjonalny argument.

--appcursorkeys on|off
    Włącza lub wyłącza tryb Cursor Key Application. Gdy jest on włączony, dla klawiszy kursora będą wysyłane ESC O A, ESC O B, itd. zamiast ESC [ A, ESC [ B, itd. Patrz sekcja vi i klucza kursora w Text-Terminal-HOWTO, aby przeczytać, jakie to może spowodować problemy dla użytkowników vi. Tylko konsole wirtualne.

--append numer_konsoli
    Jak --dump, ale dopisuje stan konsoli do pliku zamiast nadpisywać jego zawartość. Działa tylko wtedy, gdy nie podano opcji --dump.

--background kolor-8|default
    Ustawia kolor tła.

--blank[=0-60|force|poke]
    Ustawia czas nieaktywności, w minutach, po którym ekran zostanie automatycznie wygaszony (przy użyciu APM, jeśli jest dostępne). Bez argumentu, sprawdza status wygaszania (zwraca terminal, który został wygaszony lub zero w przypadku niewygaszonego vt). Tylko konsole wirtualne.

    Argument force zachowuje wygaszenie ekranu nawet gdy wciśnięto jakiś klawisz.

    Argument poke likwiduje wygaszenie ekranu.

--bfreq[=liczba]
    Ustawia częstotliwość dzwonka w Hz. Jeżeli nie podano argumentu, to domyślną wartością jest 0. Tylko konsole wirtualne.

--blength[=0-2000]
    Ustawia czas trwania dzwonka w milisekundach. Jeżeli nie podano argumentu, to przyjmuje wartość domyślną - 0. Tylko konsole wirtualne.

--blink on|off
    Włącza lub wyłącza tryb migania. Poza konsolami wirtualnymi --blink off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

--bold on|off
    Włącza lub wyłącza tryb wytłuszczenia (ekstrajasny). Poza konsolami wirtualnymi --bold off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

--clear[=all|rest]
    Bez argumentu lub z argumentem all, czyszczony jest cały ekran, a kursor jest ustawiany w pozycji początkowej, tak jak po zastosowaniu clear(1). Z argumentem rest ekran jest czyszczony od bieżącej pozycji kursora do końca ekranu.

--clrtabs[=tab1 tab2 tab3 ...]
    Czyści ustawienia tabulacji dla podanych pozycji poziomych kursora, w zakresie 1-160. Bez argumentów czyści wszystkie tabulacje. Tylko konsole wirtualne.

--cursor on|off
    Włącza lub wyłącza kursor terminala.

--default
    Ustawia opcje renderujące terminala na wartości domyślne.

--dump[=numer-konsoli]
    Zapisuje stan konsoli wirtualnej o podanym numerze do pliku podanego w opcji --file, nadpisując jego zawartość; domyślna nazwa pliku to screen.dump. Jeśli nie podano argumentu, zapisuje stan obecnej konsoli wirtualnej. Przesłania opcję --append.

--file nazwa-pliku
    Ustawia nazwę pliku dla opcji -dump lub -append podanych w tym samym wierszu polecenia. Jeśli nie podano tej opcji, domyślną nazwą pliku jest screen.dump w bieżącym katalogu. Ścieżka, której nazwa przekracza systemowe wartości dopuszczalne, jest skracana (wartość ta to PATH_MAX w linux/limits.h).

--foreground kolor-8|default
    Ustawia kolor tekstu.

--half-bright on|off
    Włącza lub wyłącza tryb półrozjaśnienia. Poza konsolami wirtualnymi --half-bright off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

--hbcolor kolor-16
    Ustawia kolor znaków półrozjaśnionych.

--initialize
    Wyświetla łańcuch inicjalizacji terminala, który zwykle ustawia opcje renderujące terminala i inne atrybuty, na wartości domyślne.

--inversescreen on|off
    Zamienia kolory pierwszego planu i tła na całym ekranie.

--linewrap on|off
    Po wyczerpaniu miejsca w bieżącym wierszu, terminal zawija go do nowego wiersza.

--msg on|off
    Włącza lub wyłącza wysyłanie przez jądro komunikatów printk() do konsoli. Tylko konsole wirtualne.

--msglevel 0-8
    Ustawia poziom logowania konsoli dla komunikatów jądra printk(). Będą wypisywane wszystkie komunikaty o wyższym poziomie, tak więc ustawienie poziomu na 0 da ten sam efekt co --msg on, a logowanie z poziomem 8 wypisze wszystkie komunikaty jądra. klogd(8) może być bardziej dogodnym interfejsem do ustawiania poziomu logowania komunikatów jądra.

    Tylko konsole wirtualne.

--powerdown[=0-60]
    Ustawia czas wyłączenia VESA w minutach. Jeżeli nie podano argumentu, ustawia na domyślną wartość 0 (wyłączenie tej opcji). Jeżeli konsola jest wygaszona lub gdy monitor jest w trybie uśpienia, to monitor przejdzie odpowiednio w tryb vsync uśpienia lub wyłączenia, gdy ten czas upłynie.

--powersave tryb
    Prawidłowymi wartościami trybu są:

    vsync|on
        Ustawia monitor w tryb uśpienia (VESA vsync suspend).

    hsync
        Ustawia monitor w tryb uśpienia (VESA hsync suspend).

    powerdown
        Ustawia monitor w tryb wyłączenia (VESA powerdown).

    off
        Wyłącza właściwości zachowywania energii monitora.

--regtabs[=1-160]
    Czyści wszystkie tabulacje, a potem ustawia regularny wzorzec tabulacji z jedną tabulacją dla każdej określonej liczby pozycji. Bez argumentów przyjmuje wartość domyślną - 8. Tylko konsole wirtualne.

--repeat on|off
    Włącza lub wyłącza powtarzanie klawiszy. Tylko konsole wirtualne.

--reset
    Wyświetla łańcuch resetowania terminala, który zwykle resetuje terminal do stanu włączenia.

--resize
    Resetuje rozmiar terminala, oceniając ostatni wiersz i kolumnę. Jest to przydatne, gdy faktyczna geometria nie jest zsynchronizowana ze sterownikiem terminala jądra. Użyteczne przede wszystkim na konsolach szeregowych niekorzystających z ioctl(2), lecz jedynie przełamań i strumieni bajtowych.

--reverse on|off
    Włącza lub wyłącza tryb odwrócenia obrazu. Poza konsolami wirtualnymi --reverse off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

--store
    Zapisuje bieżące opcje renderujące terminala (kolory czcionki i tła) jako wartości, które będą używane przy resetowaniu do wartości domyślnych. Tylko konsole wirtualne.

--tabs[=tab1 tab2 tab3 ...]
    Ustawia poziome pozycje kursora dla tabulacji w zakresie 1-160. Bez argumentów pokazuje obecne ustawienia tabulacji.

--term nazwa_terminala
    Nadpisuje wartość zmiennej środowiskowej TERM.

--ulcolor kolor-16
    Ustawia kolor znaków podkreślonych. Tylko konsole wirtualne.

--underline on|off
    Włącza lub wyłącza tryb podkreślania.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

OSTRZEŻENIE

Korzystanie z setterm w połączeniu z przekierowaniem standardowego wyjścia może przynieść niezamierzone rezultaty, ponieważ niektóre opcje działają na standardowym wejściu. Aby zapobiec takim problemom, standardowe wejście i wyjście zawsze należy przekierowywać łącznie do tego samego urządzenia.

ZGODNOŚĆ

Od wersji 2.25 setterm obsługuje długie opcje z dwoma myślnikami np. --help, oprócz dawnych długich opcji z pojedynczym myślnikiem np. -help. W skryptach zaleca się używanie zgodnego wstecznie zapisu z pojedynczym myślnikiem. Obecnie nie ma planów, ani też dobrych powodów, aby zarzucić obsługę opcji z pojedynczym myślnikiem.

USTERKI

Nie są udokumentowane różnice między wersjami Miniksa i Linuksa.

ZOBACZ TAKŻE

stty(1), tput(1), tty(4), terminfo(5)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie setterm jest częścią pakietu util-linux, który można pobrać ze strony